XMLSCHEMA-XML2JSON(1)

NAME
xmlschema-xml2json - XML to JSON converter

DESCRIPTION
usage: xmlschema-xml2json [OPTION]... [FILE]... Try 'xmlschema-xml2json --help' for more information.

decode a set of XML files to JSON.

  positional arguments:

[XML_FILE ...]
    XML files to be decoded to JSON.

  options:

-h, --help
    show this help message and exit

-v  increase output verbosity.

--schema PATH
    path or URL to an XSD schema.

--version VERSION
    XSD schema validator to use (default is 1.0).

-L URI/URL URI/URL
    schema location hint overrides.

--converter NAME
    use a different XML to JSON convention instead of the default converter. Option value can be one of ('unordered', 'parker', 'badgerfish', 'gdata', 'abdera', 'jsonml', 'columnar').

--indent INDENT
    indentation for a pretty-printed JSON output (default is the most compact representation)

--lazy
    use lazy decoding mode (slower but use less memory).

--defuse (always, remote, never)
    when to defuse XML data, on remote resources for default.

-o, --output OUTPUT
    where to write the encoded XML files, current dir by default.

-f, --force
    do not prompt before overwriting.